Loading...
Searching...
No Matches
PUtilCF Class Reference

## Public Member Functions

| PUtilCF ()
| PUtilCF (const CanonicalForm &cf)
| ~PUtilCF ()
PUtilBase * | copy () const
CanonicalForm | getval () const
int | getintval () const
bool | isInt () const
bool | isCF () const
bool | isVar () const
Public Member Functions inherited from PUtilBase
| PUtilBase ()
virtual | ~PUtilBase ()

## Private Attributes

CanonicalForm | val

## Detailed Description

Definition at line 44 of file parseutil.cc.

## Constructor & Destructor Documentation

## PUtilCF() [1/2]

PUtilCF::PUtilCF | ( |  | ) |

inline

Definition at line 49 of file parseutil.cc.

{ val = 0; }
PUtilCF::val
CanonicalForm val
Definition parseutil.cc:47

## PUtilCF() [2/2]

PUtilCF::PUtilCF | ( | const CanonicalForm & | cf | ) |

inline

Definition at line 50 of file parseutil.cc.

{ val = cf; }
cf
CanonicalForm cf
Definition cfModGcd.cc:4091

## ~PUtilCF()

PUtilCF::~PUtilCF | ( |  | ) |

inline

Definition at line 51 of file parseutil.cc.

{}

## Member Function Documentation

## copy()

PUtilBase * PUtilCF::copy | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 52 of file parseutil.cc.

{ return new PUtilCF( val ); }
PUtilCF::PUtilCF
PUtilCF()
Definition parseutil.cc:49

## getintval()

int PUtilCF::getintval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 54 of file parseutil.cc.

{ return val.intval(); }

## getval()

CanonicalForm PUtilCF::getval | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 53 of file parseutil.cc.

{ return val; }

## isCF()

bool PUtilCF::isCF | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 56 of file parseutil.cc.

{ return true; }

## isInt()

bool PUtilCF::isInt | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 55 of file parseutil.cc.

{ return false; }

## isVar()

bool PUtilCF::isVar | ( |  | ) | const

inline virtual

Implements PUtilBase.

Definition at line 57 of file parseutil.cc.

{ return false; }

## Field Documentation

## val

CanonicalForm PUtilCF::val

private

Definition at line 47 of file parseutil.cc.

The documentation for this class was generated from the following file:

- factory/parseutil.cc